Subject: [tcpm] IANA TCP options registry ...

From: RFC Editor <[email-masked]>
Date: Thu, 1 Apr 2010 10:23:58 -0700

Greetings,

Unfortunately, we did not recognize the mail received on 1 March as a
request to consider <draft-simpson-tcpct-00.txt> for publication as
an Independent Submission, as we did not see a particular request for
for the RFC Editor.  Once clarified, the document was processed as
described in RFC 4846.  

Please let us know if you have any questions.

Thank you.

RFC Editor

Begin forwarded message:

> From: William Allen Simpson <[email-masked]>
> Date: April 1, 2010 8:21:21 AM PDT
> To: Lars Eggert <[email-masked]>
> Cc: "[email-masked] Extensions" <[email-masked]>, Alfred H?nes <[email-masked]>, Alexander Zimmermann <[email-masked]>, IESG IESG <[email-masked]>
> Subject: Re: [tcpm] IANA TCP options registry ...
> 
> On 4/1/10 9:44 AM, Lars Eggert wrote:
>> On 2010-4-1, at 15:15, William Allen Simpson wrote:
>>> The only reason that I've bothered putting up the internet-draft is to get
>>> official IANA assignments.  I'd sent in the reservation back in November,
>>> but IANA refused to send it to IESG for approval without an internet-draft.
>>> Unfortunately, IESG has been *terribly* slow to act.
>> 
>> your request with IANA for the option allocation has been open for a while, agreed.
>> 
> 5 months.
> 
> 
>> The ID that IANA asked for before forwarding the request to the IESG was posted by you on March 1. See http://datatracker.ietf.org/doc/draft-simpson-tcpct/#history
>> 
> That's not how the process is documented.  IANA is supposed to forward each
> such request to the IESG.  Then, and only then:
> 
>      IESG Approval - New assignments may be approved by the IESG.
>            Although there is no requirement that the request be
>            documented in an RFC, the IESG has discretion to request
>            documents or other supporting materials on a case-by-case
>            basis.
> 
> Note well: that's a discretion of the IESG, not IANA.
> 
> 
>> The Independent Stream Editor has sent it to the IESG for the RFC5742 Section 3 review on March 26, i.e., during the IETF meeting in Anaheim.
>> 
> The RFC Editor was notified on March 1st, long before Anaheim.
> 
> The RFC 2026 process says the RFC Editor has two weeks to consult IESG.
> Yet, it took 3 weekly reminders before the ISE notification was even
> sent to the IESG!
> 
> AFAICT, this is not Neville's fault.  The RFC Editor processing queue isn't
> working as externally documented.
> 
> 
>> The ID is slated for discussion on the very next IESG telechat on April 8.
>> 
> Good.  I wasn't notified.
> 
> 
>> I fail to see how we're slow. In fact, this is the most aggressive possible schedule.
>> 
> The IESG was *also* notified on March 1st.  [rt.ietf.org #24497]  As you
> well know -- you (Lars) refused to put it on the IESG calendar.  You've
> forgotten, I have the email....
> 

----- End forwarded message -----

---

From: William Allen Simpson <[email-masked]>
Date: Thu, 01 Apr 2010 15:35:22 -0400

On 4/1/10 1:23 PM, RFC Editor wrote:
> request to consider<draft-simpson-tcpct-00.txt>  for publication as
Pardon my unclear language in my first sentence of March 1st:

# "this is a formal request for approval and publication."

>> From: William Allen Simpson<[email-masked]>
My message of March 15th yielded more prompt results:

# It has been 14 days.  RFC 2026 section 4.2.3:
#
#    "...  The RFC Editor will wait two weeks after this
#    publication for comments before proceeding further. ..."
#
# I have nroff ready.  Do you want it now?
#